# step 1: create a dummy neural network with pytorch, and export
import torch

model = torch.nn.Sequential(
        torch.nn.Linear(128, 16),
        torch.nn.ReLU(),
        torch.nn.Linear(16, 1),
        )

input_tensor = torch.rand((1, 128), dtype=torch.float32)

filename = 'test_model.onnx'
torch.onnx.export(
        model,
        (input_tensor,),
        filename,
        input_names=['feature'],
        dynamo=False,
        verbose=True,
        )
print('Exported a dummy neural network at', filename)

print('Test OK')
